QGIS Application - Bug report #15761
Please provide a Toolbox interface to SAGA 3
2016-10-26 10:32 AM - vince -

Status: Rejected
Priority: Low
Assignee:

Category: Unknown

Affected QGIS version:2.18.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 23683

Description

Folks,

this is just to remember you that SAGA 3 has been released and it'd be nice to have the new API integrated into the toolbox, especially

since | never could made SAGA 2 work properly on OS X. There was a bug in the command line interpreter that seems to have been

solved in 3, so 3.0 works, but 2.x doesn't.

So yes. This would be much appreciated.

But of course, it's not that urgent.

Great jobs, guy, keep up the wonderful work!

History

#1 - 2016-10-26 04:35 PM - Donovan Cameron

Just an FYI,

In a SAGA GIS mailing list posting, it's currently been discussed to get QGIS' processing to focus support on SAGA LTS version which is 2.3.x

Then when QGIS 3 comes out, to then implement SAGA 3 support.

There's also an #15747 open with QGIS to track efforts on the saga gis 2.2 > 2.3 changes.

#2 - 2016-10-27 09:25 AM - vince -

Thanks!

Problem is, as | noted, | never got SAGA 2 to work on OS X. For whatever unknown reason, the parsing of the commands went haywire from 2.1.x on.

It's fixed in 3, fortunately. That's why | was hoping for an API overhaul or maybe, as it's been done for Grass, a double API. But never mind, | can use

SAGA as a standalone application, even though this is less convenient.

Cheers!

#3 - 2016-11-01 07:58 AM - Alexander Bruy
- Resolution set to duplicate
- Status changed from Open to Rejected
https://sourceforge.net/p/saga-gis/mailman/saga-gis-developer/thread/219ab7c9-2616-d661-a751-46bad32ae2ad%40faunalia.it/

Duplicates #15747

#4 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown
